# eric7.WebBrowser.Tools.WebIconLoader

Module implementing an object to load web site icons.

### Global Attributes

None

### Classes

WebIconLoader | Class implementing a loader for web site icons.

### Functions

None

## WebIconLoader

Class implementing a loader for web site icons.

### Signals

clearSslConfiguration()
  emitted to clear stored SSL data
iconLoaded(icon)
  emitted when the icon has been loaded
sslConfiguration(config)
  emitted to pass the SSL data

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

WebIconLoader | Constructor
__finished | Private slot handling the downloaded icon.

### Static Methods

None

#### WebIconLoader (Constructor)

WebIconLoader(url, parent=None)

Constructor

url (QUrl)
  URL to fetch the icon from
parent (QObject)
  reference to the parent object

#### WebIconLoader.__finished

__finished()

Private slot handling the downloaded icon.

Up